// For licensing, see: http://hydrogen.knownspace.org/license.html
package org.datamanager.activeentityvalue;

import org.datamanager.activeentityvalue.ActiveEntityValue;

import org.datamanager.constraint.EntityConstraint;

import org.datamanager.exception.DataManagerException;

import org.datamanager.kernel.Entity;
import org.datamanager.kernel.EntityValue;

import org.datamanager.passiveentityvalue.IntegerEntityValue;

/**
Report the number of attributes currently attached to an entity.

This class is presently unused. It's here as an example.
**/
public class AttributeCounterEntityValue
    implements ActiveEntityValue
    {
    //remember which entity this active entity value works on
    private Entity entity;

    /**
    Set the entity this active entity value works on.
    (Note that this may be different from the entity
    that this active entity value is stored in)
    **/
    public AttributeCounterEntityValue(Entity entity)
        {
        this.entity = entity;
        }

    /**
    Report an EntityValue containing the number of attributes
    currently attached to the entity that this active entity value
    works on.
    **/
    public EntityValue getEntityValue()
                               throws DataManagerException
        {
        Entity[] attributes = entity.getAttributes(EntityConstraint.NONE);
        int numberOfAttributes = attributes.length;

        return new IntegerEntityValue(numberOfAttributes);
        }
    }