// For licensing, see: http://hydrogen.knownspace.org/license.html

/**
ValueEqualsConstraint.java

Author: Benjamin Keil
Modified:
  Made it extend AbstractEntityConstraint.
   -- Matt
  Ran it through JIndent, and added javadoc.
   -- Matt 26 Dec 1999
  made it correct (by forcing use of PassiveEntityValue.equals())
   --youknowwho

Created 199910111454
**/
package org.datamanager.constraint;

import org.datamanager.exception.DataManagerException;

import org.datamanager.kernel.AbstractEntityConstraint;
import org.datamanager.kernel.Entity;

import org.datamanager.passiveentityvalue.PassiveEntityValue;

import org.datamanager.tools.Debug;

/**
Check whether the value of an Entity is the same as a given value.
**/
public class ValueEqualsConstraint
    extends AbstractEntityConstraint
    {
    private PassiveEntityValue value;

    /**
    Store a given PassiveEntityValue.
    **/
    public ValueEqualsConstraint(PassiveEntityValue value)
        {
        this.value = value;
        }

    /**
    Report whether the given entity's value matches the stored value.
    **/
    protected boolean describes(Entity entity)
                         throws DataManagerException
        {
        try
            {
            PassiveEntityValue testValue = (PassiveEntityValue) entity.getValue();

            return (value.equals(testValue));
            }
        catch (ClassCastException exception)
            {
            // Do not test equality of anything but PassiveEntityValues.
            return false;
            }
        }
    }