// For licensing, see: http://hydrogen.knownspace.org/license.html
package org.datamanager.event;

import org.datamanager.event.EntityEvent;

/**
 * This marker interface is the mother of all
 * events generated from within an Entity that
 * are related to that Entity's value.
 *
 * This is just a marker interface. It specifies
 * no unique methods of its own.
 * It does however extend EntityEvent and
 * therefore requires:
 * public EventGenerator getSource()
 * public long getTime()
 * public String toString()
 *
 * @author Matthew Farrellee
 */
public interface ValueEvent
    extends EntityEvent
    {
    }