// For licensing, see: http://hydrogen.knownspace.org/license.html

/**
 * NullEntityValue.java
 *
 * Author: Benjamin Keil
 * Modifies:
 *   Ran through JIndent, added javadoc, made a singleton.
 *    -- Matt 26 Dec 1999
 *
 * Created 199910071919
 */
package org.datamanager.passiveentityvalue;

/**
 * Objects of this class are the default values of newly created Entities.
 *
 * @author Benjamin Keil
 */
public class NullEntityValue
    implements PassiveEntityValue
    {
    /**
     * The only instance of this class.
     */
    private static final NullEntityValue instance = new NullEntityValue();

    /**
     * Constructor declaration
     */
    private NullEntityValue()
        {
        }

    /**
     * Get a NullEntityValue.
     *
     * @return A NullEntityValue.
     */
    public static NullEntityValue getInstance()
        {
        return instance;
        }

    /**
     * Check to see if the given object is a NullEntityValue.
     *
     * @param object An Object.
     *
     * @return If the given object is a NullEntityValue.
     */
    public boolean equals(Object object)
        {
        return object instanceof NullEntityValue;
        }
    }